import pandas as pd
from glob import glob

filedir = '../../results_*.csv'

df = [pd.read_csv(file, sep='\t') for file in glob(filedir)]
df = pd.concat(df)

df[['dataset','authors','docs','seed']] = df.Dataset.str.split('_',expand=True)
df = df.drop(columns='Dataset')

pv = df.pivot_table(index = ['dataset','authors','docs','Method'], values=['microF1','val_microF1'])

print(pv)